# Cairo::QuartzFontFace Class Reference

Font support for Quartz (CGFont) fonts on OS X. More...

Inheritance diagram for Cairo::QuartzFontFace:
[legend]

List of all members.

## Static Public Member Functions

static RefPtr< QuartzFontFace > | create (CGFontRef font)
| Creates a new font for the Quartz font backend based on a CGFontRef.
static RefPtr< QuartzFontFace > | create (ATSUFontID font_id)
| Creates a new font for the Quartz font backend based on an ATSUFontID.

## Protected Member Functions

| QuartzFontFace (CGFontRef font)
| QuartzFontFace (ATSUFontID font_id)

## Detailed Description

Font support for Quartz (CGFont) fonts on OS X.

Since:
  1.8

## Constructor & Destructor Documentation

Cairo::QuartzFontFace::QuartzFontFace | ( | CGFontRef | font | ) | `[protected]`

Cairo::QuartzFontFace::QuartzFontFace | ( | ATSUFontID | font_id | ) | `[protected]`

## Member Function Documentation

static RefPtr<QuartzFontFace> Cairo::QuartzFontFace::create | ( | CGFontRef | font | ) | `[static]`

Creates a new font for the Quartz font backend based on a CGFontRef.

This font can then be used with Context::set_font_face() or ScaledFont::create().

Parameters:

  font | a CGFontRef obtained through a method external to cairo.

Since:
  1.8

static RefPtr<QuartzFontFace> Cairo::QuartzFontFace::create | ( | ATSUFontID | font_id | ) | `[static]`

Creates a new font for the Quartz font backend based on an ATSUFontID.

This font can then be used with Context::set_font_face() or ScaledFont::create().

Parameters:

  font_id | an ATSUFontID for the font.

Since:
  1.8

The documentation for this class was generated from the following file:

- cairomm/quartz_font.h